%!octave 
%
%
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: data_norm.m,v 1.1 2016/03/18 09:46:16 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval = data_norm(X,X_mean,X_std),
   % X_mean = mean(X,2) ;
   % X_std = std(X,[],2) ;

   X0 = X - X_mean ;
   X0 = X0 ./ max(X_std,1e-33) ;

   retval=X0;
endfunction 

