%!octave 
%
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: data_save_img.m,v 1.1 2016/03/18 09:46:16 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function data_save_img(X,s,fl,p),
   szx = size(X,2);
   for i=1:szx,
	  xi=X(:,i) ;
      f=sprintf("result/%s/%s",p,fl{i});
	  img_save( xi, f, s ) ;
	  % save("-text",sprintf("result/x%i.txt",i),"xi") ;
      printf("     %i / %i          \r",i,szx) ;
   endfor
   printf("\n") ;
endfunction

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function img_save(x,f,s),
   x=lin_corr(x,255.0);
   x= uint8(255.0 - x);
   x=reshape(x,s) ;
   img=cat(3,x,x,x);
   imwrite(img,f) ;
endfunction

