%!octave 
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: main.m,v 1.1 2016/03/18 09:46:16 mechanoid Exp $

%addpath("../0-data-proc");
%addpath("../05-ffn");


split_long_rows(0) ; % set nowrap

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 


printf("[i] загружаем данные\n"); % L учебная выборка; C - контрольная выборка ; T - тестовая выборка

[fl,fc,ft ] = data_path_img();

L=data_load_img(fl); % L={ X,Y,img_size,files_list}
C=data_load_img(fc); % L={ X,Y,img_size,files_list}

printf("[i] загружено %i: учебных: %i контрольных: %i \n",size(L{2},2)+size(C{2},2),size(L{2},2),size(C{2},2));

sz_in=size(L{1},1);
sz_out=size(L{2},1);


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% нормализация данных
%
% X_mean = mean(L{1},2) ; % мат.ожидание элементов элементов входного вектора
% X_std = std(L{1},[],2) ; % дисперсия элементов элементов входного вектора
% 
% save("-ascii","result/x_mean.txt","X_mean") ; 
% save("-ascii","result/x_std.txt","X_std") ; 
% 
% plot_data(X_mean,1,"data mean");  
% plot_data(X_std,2,"data std");  
% 
% % нормализация данных
% L{1}=data_norm(L{1},X_mean,X_std);
% C{1}=data_norm(C{1},X_mean,X_std);
% 
% 
% X_mean_norm = mean(L{1},2) ;
% X_std_norm = std(L{1},[],2) ;
% 
% plot_data(X_mean_norm,3,"data mean norm");  
% plot_data(X_std_norm,4,"data std norm");  
% 
% printf("[i] сохраняем результат \n"); 
% data_save_img(L{1},L{3},L{4},"norm") ;


