%!octave 
%
%     MLP back propagation
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: plot_data.m,v 1.1 2016/03/18 09:46:16 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function plot_data(x,n,t),
   pix_size="-S420,240";
   pix_font_size=10;
   pix_format="gif";
 
   l=length(x);
   clf; hold on; grid on; set(gca,"fontsize",pix_font_size); 
   plot( 1:l, x, "-r" ) ;
   %t=sprintf("iter: 1-%i, error %.5f", se2,er(se2) );
   title(t);
   file=sprintf("result/data-%i.%s",n,pix_format);
   fm=sprintf("-d%s",pix_format);
   print(file,fm,pix_size) ;
endfunction


