%!octave 
%
%       OS : GNU/Linux 4.2.5
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_weight_init.m,v 1.1 2016/03/19 19:02:54 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% инициализация весов 
%
% cfg - конфигурация сети
%
function retval=mlp_weight_init(cfg),
   ltp=1;  % номер ячейки cfg с типом ф-ции активации
   c=length(cfg);% количество слоёв
   W={} ; % начальные матрицы весов
   for i=1:c-1, 
      s=[ cfg{i+1}{1}, cfg{i}{1} ] ; % размер матрицы весов слоёв (i,i+1)
      sb=[ s(1) , 1 ] ; % размер вектора сдвигов 
	  % матрица весов и вектор сдвигов
%	  W{i}={ rand(s)*sqrt(2.0/prod(s)) , zeros(sb) } ; 
% 	  W{i}={ (rand(s)-0.5)*1e-2 , zeros(sb) } ;
 	  W{i}={ normrnd(zeros(s),ones(s)*1e-2) , zeros(sb) } ;
   endfor
   retval=W;
endfunction


