%!octave 
%
%      
%       OS : GNU/Linux 3.18.4-1-ARCH 
% COMPILER : GNU Octave, version 3.8.2
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: main.m,v 1.4 2016/02/08 17:22:24 mechanoid Exp mechanoid $


% загружаем основной учебный набор
%X = load_MNIST_images("data/images/mnist/train-images-idx3-ubyte") ;
%N = load_MNIST_lables("data/images/mnist/train-labels-idx1-ubyte") ;

X = load_MNIST_images("data/train-images-idx3-ubyte") ;
N = load_MNIST_lables("data/train-labels-idx1-ubyte") ;


%save("-text","result/x.txt", "X" );
%save("-text","result/n.txt", "N" );

% доля примеров для использования от общего количества (60K)
k=5e-3; % 300
%k=3e-1; % 21K 
p=0.7; % доля учебных примеров в наборе размера k

[ L,C ] = make_data_set(X,N,k,p);

%printf("[i] сохраняем результат  \n"); 

data_save_img(L,"train/");
data_save_img(C,"check/");

% загружаем тестовый набор
%X = load_MNIST_images("data/images/mnist/t10k-images-idx3-ubyte") ;
%N = load_MNIST_lables("data/images/mnist/t10k-labels-idx1-ubyte") ;

X = load_MNIST_images("data/t10k-images-idx3-ubyte") ;
N = load_MNIST_lables("data/t10k-labels-idx1-ubyte") ;


%k=p=0; % использовать набор данных целиком
p=1; % не использовать контрольный набор
T = make_data_set(X,N,k,p); 

data_save_img(T,"test/");

