%!octave 
%
%
%       OS : GNU/Linux 4.2.5-1-ARCH 
% COMPILER : GNU Octave, version 4.0.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: mlp_weight_unpack.m,v 1.1 2016/03/19 19:02:54 mechanoid Exp $


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% разворачиваем матрицы весов в вектор 
%
function retval = mlp_weight_unpack(w),
   layers_numb = length(w); % количество обрабатывающих слоёв сети

   rn=[];rb=[];
   for i=1:layers_numb,
      rn = [ rn ; (w{i}{1})(:) ];
      rb = [ rb ; w{i}{2} ]; 
   endfor

   retval= [ rn; rb ] ;
endfunction
